LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-18-2008, 07:18 PM   #1
Mr. Rey
LQ Newbie
 
Registered: Aug 2008
Posts: 11

Rep: Reputation: 0
Question WinRAR GUI Error Message


Hello all. If you're reading this, thank you for your time!

I'm trying to install the GUI version of WinRAR on Fedora 9 64bit but I am getting the following error message:

./RarGUI2.2-fix-Bin.sfx: error while loading shared libraries: libstdc++.so.5: cannot open shared object file: No such file or directory

I ran the following command hoping that this would install the correct libstdc++ package but it did not: yum install compat-lib*

I also ran this command to get my status for libstdc++ but I don't have it installed:

ls -al /usr/lib/libstdc*
-rwxr-xr-x 1 root root 262024 2008-02-21 18:45 /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so
lrwxrwxrwx 1 root root 31 2008-08-18 15:48 /usr/lib/libstdc++-libc6.2-2.so.3 -> libstdc++-3-libc6.2-2-2.10.0.so
lrwxrwxrwx 1 root root 19 2008-08-15 17:41 /usr/lib/libstdc++.so.6 -> libstdc++.so.6.0.10
-rwxr-xr-x 1 root root 954544 2008-04-28 11:37 /usr/lib/libstdc++.so.6.0.10

I really appreciate your time and assistance!
 
Old 08-18-2008, 08:26 PM   #2
David the H.
Bash Guru
 
Registered: Jun 2004
Location: Osaka, Japan
Distribution: Debian + kde 4 / 5
Posts: 6,846

Rep: Reputation: 2007Reputation: 2007Reputation: 2007Reputation: 2007Reputation: 2007Reputation: 2007Reputation: 2007Reputation: 2007Reputation: 2007Reputation: 2007Reputation: 2007
On Debian the libstdc++5 package has the file you require. I don't know if it's the same under yum, but I'm sure it must have a similar name. You need to search yum for the exact package you need. It appears to be a separate install from libstdc++6.

By the way, I used a tool called apt-file, which allows you to search for which package contains a particular file. Is there something similar for rpms?
 
Old 08-18-2008, 09:40 PM   #3
Mr. Rey
LQ Newbie
 
Registered: Aug 2008
Posts: 11

Original Poster
Rep: Reputation: 0
Yum

Ok. So the question is...how do I search in Yum for the package I need?
 
Old 08-18-2008, 11:44 PM   #4
lazlow
Senior Member
 
Registered: Jan 2006
Posts: 4,363

Rep: Reputation: 172Reputation: 172
Quote:
[fred@localhost ~]$ yum provides libstdc++.so.5
Loading "protectbase" plugin
Loading "protect-packages" plugin
Loading "priorities" plugin
Loading "skip-broken" plugin
0 packages excluded due to repository protections
compat-libstdc++-33.i386 : Compatibility standard C++ libraries
You know unrar is available from livna and it works as a right click in gnome? Gpar2 (rar repair) is available from the standard repo.
 
Old 08-19-2008, 12:08 AM   #5
Mr. Rey
LQ Newbie
 
Registered: Aug 2008
Posts: 11

Original Poster
Rep: Reputation: 0
I went ahead and ran that command but this is what I got:

[root@localhost Download]# yum provides libstcd++.so.5
Loaded plugins: refresh-packagekit
fedora | 2.4 kB 00:00
livna | 2.1 kB 00:00
updates | 2.3 kB 00:00
No Matches found
[root@localhost Download]#
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Error message when attempting to install GUI for Ubuntu Server 7.04 calebf Linux - Server 5 04-26-2009 12:23 AM
Synaptic Gui ver on Suse 10.0 - error message : "command synaptic not found" suse2166 Linux - Newbie 6 04-04-2006 02:58 AM
Get an error message when trying to open gui for Mplayer jleakey77 Linux - Software 3 03-22-2004 10:26 PM
DC-GUI: error message saying I have not met the minimun slots/hubs... pdmackenzie Linux - Software 1 12-14-2003 06:47 AM
rp-pppoe GUI execl error message alm Linux - Networking 0 06-12-2003 04:03 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 10:04 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration